org.apache.ode.bpel.o

## Class OScope

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OScope

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OCatch, OCompensationHandler, OEventHandler.OEvent, OTerminationHandler

      public class OScope
      extends OActivity

  Compiled representation of a BPEL scope. Instances of this class are generated by the BPEL compiler.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OScope.CorrelationSet`
    `static class` | `OScope.Variable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OActivity` | `activity` The activity that gets executed within this scope.
    `boolean` | `atomicScope`
    `java.util.Set<OScope>` | `compensatable` The descendants of this scope that can be compensated from the FH/CH of this scope.
    `OCompensationHandler` | `compensationHandler` ScopeLikeConstructImpl's compensation handler.
    `java.util.Map<java.lang.String,OScope.CorrelationSet>` | `correlationSets` OCorrelation sets declared within the scope.
    `OEventHandler` | `eventHandler` ScopeLikeConstructImpl's event handler.
    `OFaultHandler` | `faultHandler` ScopeLikeConstructImpl's fault handler.
    `boolean` | `implicitScope`
    `java.lang.String` | `name` Name of the scope.
    `java.util.Map<java.lang.String,OPartnerLink>` | `partnerLinks`
    `OTerminationHandler` | `terminationHandler` ScopeLikeConstructImpl's termination handler.
    `java.util.HashMap<java.lang.String,OScope.Variable>` | `variables` Variables declared within the scope.

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OScope(OProcess owner, OActivity parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCorrelationSet(OScope.CorrelationSet ocset)`
    `void` | `addLocalVariable(OScope.Variable variable)`
    `void` | `dehydrate()`
    `OScope.CorrelationSet` | `getCorrelationSet(java.lang.String corrName)` Obtains the correlation set visible in current scope or parent scope.
    `OPartnerLink` | `getLocalPartnerLink(java.lang.String name)`
    `OScope.Variable` | `getLocalVariable(java.lang.String varName)` Get a localy-defined variable by name.
    `OPartnerLink` | `getVisiblePartnerLink(java.lang.String name)`
    `OScope.Variable` | `getVisibleVariable(java.lang.String varName)`
    `boolean` | `isInAtomicScope()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      Name of the scope.

    - #### faultHandler

          public OFaultHandler faultHandler

      ScopeLikeConstructImpl's fault handler.

    - #### activity

          public OActivity activity

      The activity that gets executed within this scope.

    - #### compensationHandler

          public OCompensationHandler compensationHandler

      ScopeLikeConstructImpl's compensation handler.

    - #### terminationHandler

          public OTerminationHandler terminationHandler

      ScopeLikeConstructImpl's termination handler.

    - #### eventHandler

          public OEventHandler eventHandler

      ScopeLikeConstructImpl's event handler.

    - #### variables

          public final java.util.HashMap<java.lang.String,OScope.Variable> variables

      Variables declared within the scope.

    - #### correlationSets

          public final java.util.Map<java.lang.String,OScope.CorrelationSet> correlationSets

      OCorrelation sets declared within the scope.

    - #### partnerLinks

          public final java.util.Map<java.lang.String,OPartnerLink> partnerLinks

    - #### compensatable

          public final java.util.Set<OScope> compensatable

      The descendants of this scope that can be compensated from the FH/CH of this scope.

    - #### implicitScope

          public boolean implicitScope

    - #### atomicScope

          public boolean atomicScope

  - ### Constructor Detail

    - #### OScope

          public OScope(OProcess owner,
                        OActivity parent)

  - ### Method Detail

    - #### getCorrelationSet

          public OScope.CorrelationSet getCorrelationSet(java.lang.String corrName)

      Obtains the correlation set visible in current scope or parent scope.
      Parameters:
        `corrName` - correlation set name
      Returns:

    - #### getLocalVariable

          public OScope.Variable getLocalVariable(java.lang.String varName)

      Get a localy-defined variable by name.
      Parameters:
        `varName` - name of variable
      Returns:

    - #### addLocalVariable

          public void addLocalVariable(OScope.Variable variable)

    - #### getVisibleVariable

          public OScope.Variable getVisibleVariable(java.lang.String varName)

    - #### getLocalPartnerLink

          public OPartnerLink getLocalPartnerLink(java.lang.String name)

    - #### getVisiblePartnerLink

          public OPartnerLink getVisiblePartnerLink(java.lang.String name)

    - #### addCorrelationSet

          public void addCorrelationSet(OScope.CorrelationSet ocset)

    - #### isInAtomicScope

          public boolean isInAtomicScope()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OActivity`

    - #### dehydrate

          public void dehydrate()

      Overrides:
        `dehydrate` in class `OBase`